Details
  • Last release: 2.40.0.100
  • 1 day ago

Plex Media Player for HDStation4

Enjoy your Plex Server Multimedia on HDStation

why this version ?

the other release Plex Media Server is built around an AppImage and Xenial library.
it depends of the integrator Knapsu and has not been 100% optimised for Bionic Ubuntu
May be it runs well for you, in this case do not consider this one.

This release has been fully compiled with Ubuntu1804 Libraries and is more stable than the AppImage one
it runs in TV mode Fullscreen by default (to exit with keyboard push CTRL+Q)

Dependencies
  • HD_Station >= 4.0.0
  • HD_Station < 6.0.0

QTS
Requires QTS 4.4.0 or later

Models
TS-NASX86 64bits

Thanks for your support
  • 2.39.0.100 Released 2 weeks ago ( 07-08-2019 )
    Dependencies:
    • HD_Station >= 4.0.0
    • HD_Station < 6.0.0
  • 2.38.0.999 Released 2 weeks ago ( 06-08-2019 )
    Dependencies:
    • HD_Station >= 4.0.0
    • HD_Station < 6.0.0
  • 2.37.2.996 Released 1 month ago ( 12-07-2019 )
    Dependencies:
    • HD_Station >= 4.0.0
    • HD_Station < 6.0.0
  • 2.36.0.988 Released 1 month ago ( 25-06-2019 )
    Dependencies:
    • HD_Station >= 4.0.0
    • HD_Station < 6.0.0
  • 2.35.1.986 Released 2 months ago ( 14-06-2019 )
    Dependencies:
    • HD_Station >= 4.0.0
    • HD_Station < 6.0.0
  • 2.34.0.983 Released 3 months ago ( 23-05-2019 )
    Dependencies:
    • HD_Station >= 4.0.0
    • HD_Station < 6.0.0
  • 2.33.1.979 Released 3 months ago ( 02-05-2019 )
    Dependencies:
    • HD_Station >= 4.0.0
    • HD_Station < 6.0.0
  • 2.32.0.973 Released 4 months ago ( 17-04-2019 )
    Dependencies:
    • HD_Station >= 4.0.0
    • HD_Station < 6.0.0
  • 2.31.0.967 Released 4 months ago ( 02-04-2019 )
    Dependencies:
    • HD_Station >= 4.0.0
    • HD_Station < 6.0.0
  • 2.30.0.965 Released 4 months ago ( 25-03-2019 )
    Dependencies:
    • HD_Station >= 4.0.0
    • HD_Station < 6.0.0
  • 2.29.1.961 Released 5 months ago ( 18-03-2019 )
    Dependencies:
    • HD_Station >= 4.0.0
    • HD_Station < 6.0.0
  • 2.29.0.956 Released 5 months ago ( 07-03-2019 )
    Dependencies:
    • HD_Station >= 4.0.0
    • HD_Station < 6.0.0
  • 2.28.0.952 Released 6 months ago ( 21-02-2019 )
    Dependencies:
    • HD_Station >= 4.0.0
    • HD_Station < 6.0.0
  • 2.27.0949 Released 6 months ago ( 15-02-2019 )
    Dependencies:
    • HD_Station >= 3.0.0
    • HD_Station < 6.0.0